scala.io

# Source

#### object Source

This object provides convenience methods to create an iterable representation of a source file.

Source
  Source.scala
Version

  1.0, 19/08/2004

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Source
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val DefaultBufSize: Int

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws ( ... )
   Note

     not specified by SLS as a member of AnyRef

9. #### def createBufferedSource(inputStream: InputStream, bufferSize: Int = DefaultBufSize, reset: () ⇒ Source = null, close: () ⇒ Unit = null)(implicit codec: Codec): BufferedSource

   Reads data from inputStream with a buffered reader, using the encoding in implicit parameter codec.

   Reads data from inputStream with a buffered reader, using the encoding in implicit parameter codec.

   inputStream

     the input stream from which to read

   bufferSize

     buffer size (defaults to Source.DefaultBufSize)

   reset

     a () => Source which resets the stream (if unset, reset() will throw an Exception)

   close

     a () => Unit method which closes the stream (if unset, close() will do nothing)

   codec

     (implicit) a scala.io.Codec specifying behavior (defaults to Codec.default)

   returns

     the buffered source

10. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

13. #### def fromBytes(bytes: Array[Byte], enc: String): Source

14. #### def fromBytes(bytes: Array[Byte])(implicit codec: Codec): Source

    Create a `Source` from array of bytes, decoding the bytes according to codec.

    Create a `Source` from array of bytes, decoding the bytes according to codec.

    returns

      the created `Source` instance.

15. #### def fromChar(c: Char): Source

    Creates a Source instance from a single character.

16. #### def fromChars(chars: Array[Char]): Source

    creates Source from array of characters, with empty description.

17. #### def fromFile(file: File, bufferSize: Int)(implicit codec: Codec): BufferedSource

    Creates Source from `file`, using given character encoding, setting its description to filename.

    Creates Source from `file`, using given character encoding, setting its description to filename. Input is buffered in a buffer of size `bufferSize`.

18. #### def fromFile(file: File, enc: String, bufferSize: Int): BufferedSource

19. #### def fromFile(file: File, enc: String): BufferedSource

    same as fromFile(file, enc, Source.

    same as fromFile(file, enc, Source.DefaultBufSize)

20. #### def fromFile(file: File)(implicit codec: Codec): BufferedSource

    creates Source from file, using default character encoding, setting its description to filename.

21. #### def fromFile(uri: URI, enc: String): BufferedSource

    creates Source from file with given file: URI

22. #### def fromFile(uri: URI)(implicit codec: Codec): BufferedSource

    creates `ource` from file with given file `URI`.

23. #### def fromFile(name: String, enc: String): BufferedSource

    creates Source from file with given name, using given encoding, setting its description to filename.

24. #### def fromFile(name: String)(implicit codec: Codec): BufferedSource

    creates Source from file with given name, setting its description to filename.

25. #### def fromInputStream(is: InputStream)(implicit codec: Codec): BufferedSource

26. #### def fromInputStream(is: InputStream, enc: String): BufferedSource

27. #### def fromIterable(iterable: Iterable[Char]): Source

    Creates a Source from an Iterable.

    Creates a Source from an Iterable.

    iterable

      the Iterable

    returns

      the Source

28. #### def fromRawBytes(bytes: Array[Byte]): Source

    Create a `Source` from array of bytes, assuming one byte per character (ISO-8859-1 encoding.

    Create a `Source` from array of bytes, assuming one byte per character (ISO-8859-1 encoding.)

29. #### def fromString(s: String): Source

    creates Source from a String, with no description.

30. #### def fromURI(uri: URI)(implicit codec: Codec): BufferedSource

    creates `Source` from file with given file: URI

31. #### def fromURL(url: URL)(implicit codec: Codec): BufferedSource

    same as fromInputStream(url.

    same as fromInputStream(url.openStream())(codec)

32. #### def fromURL(url: URL, enc: String): BufferedSource

    same as fromInputStream(url.

    same as fromInputStream(url.openStream())(Codec(enc))

33. #### def fromURL(s: String)(implicit codec: Codec): BufferedSource

    same as fromURL(new URL(s))

34. #### def fromURL(s: String, enc: String): BufferedSource

    same as fromURL(new URL(s))(Codec(enc))

35. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

36. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

37. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

38. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

39. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

40. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

41. #### def stdin: BufferedSource

    Creates a `Source` from System.

    Creates a `Source` from System.in.

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped